<%@ Page Language="C#" %>
<%@ assembly name="MW6.ASPNET.DataMatrix" %>
<%@ import Namespace="System.Drawing" %>
<%@ import Namespace="System.Drawing.Drawing2D" %>
<%@ import Namespace="MW6.ASPNET.DataMatrix" %>
<script runat="server">

    void OutputImg()
    {
        Bitmap objBitmap;
        Graphics objGraphics = null;
        int ActualRows = 0;
        int ActualCols = 0;
        int ActualWidth = 0;
        int ActualHeight = 0;
        Point p;

        Response.ContentType = "image/Gif";
        
        DataMatrixNet MyDataMatrix = new DataMatrixNet();
        MyDataMatrix.BackColor =  Color.FromName(Request.QueryString["BackColor"]);
        MyDataMatrix.BarColor =  Color.FromName(Request.QueryString["BarColor"]);
        MyDataMatrix.Data = System.Web.HttpUtility.UrlDecode(Request.QueryString["Data"]);
        MyDataMatrix.HandleTilde = (Request.QueryString["HandleTilde"]=="ON");
        MyDataMatrix.ModuleSize = (float)System.Convert.ToDouble(Request.QueryString["CellSize"]);
        MyDataMatrix.Mode = (enumMode)System.Convert.ToInt16(Request.QueryString["Mode"]);
        MyDataMatrix.Orientation = (enumOrientation)System.Convert.ToInt16(Request.QueryString["Orientation"]);
        MyDataMatrix.PreferredFormat = (enumPreferredFormat)System.Convert.ToInt16(Request.QueryString["PreferredFormat"]);
   
        ActualWidth  = 0;
        ActualHeight = 0;
		// Get actual rows and columns of DataMatrix barcode
		MyDataMatrix.GetActualRC(ref ActualRows, ref ActualCols);

		// Get actual barcode width and height
		// Render barcode on computer screen
		MyDataMatrix.GetActualSize(ref ActualWidth, ref ActualHeight);

		// Image size = barcode size + extra space
		MyDataMatrix.SetSize(ActualWidth + 40, ActualHeight + 80);

		objBitmap = new Bitmap(ActualWidth + 40, ActualHeight + 80);
		objGraphics = Graphics.FromImage(objBitmap);
   
        p = new Point(0, 0) ;
        MyDataMatrix.Render(objGraphics, p);
        objGraphics.Flush();
        
        objBitmap.Save(Response.OutputStream, System.Drawing.Imaging.ImageFormat.Gif);
    }

</script>
<% OutputImg(); %>
